/*Fuentes*/
@font-face {
    font-family: Freight Big Book;
    src: url(fonts/Freight-Big-Book.woff);
}
@font-face {
    font-family: GT Walsheim Pro;
    src: url(fonts/GT-Walsheim-Pro.woff);
}
/*Global*/
:root {
    --negro: #000000;
    --blanco: #ffffff;
    --gris: #808080;
    --dorado: #C1986D;
    --oscuro: #212529;
    --claro: #F8F9FA;
    --fondo: #E0E0E0;
}
* {
    font-family: GT Walsheim Pro;
    color: var(--negro);
    font-size: 16px;
}
.linkMenuCat{
    font-family: GT Walsheim Pro;
    color: var(--negro);
    font-size: 16px;
}
.linkMenuCat:hover{
    color: var(--dorado);
}
h1, h2, h3, h4, h5, h6{
    font-family: Freight Big Book;
    color: var(--negro);
    font-weight: bold;
}
a {
    text-decoration: none !important;
    transition: 0.3s;
}
/* Login */
.bvlBody{
    background-image: url(img/sala-estar-lujo-tipo-loft-estanteria-cerca-mesa-comedor.jpg);
    background-attachment: fixed;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 16px;
    border: 16px solid var(--blanco);
    min-height: 100vh;
}
.bvlHeader{
    display: flex;
    justify-content: center;
}
.bvlLogoMarmo{
    height: 70px;
    width: auto;
    -webkit-filter: drop-shadow(5px 5px 5px #666666);
    filter: drop-shadow(5px 5px 5px #666666);
}
.bvlDivPrincipal{
    background-color: var(--blanco);
    padding: 24px;
    margin: 24px auto 0 auto;
    width: 1200px;
}
.bvlDivPrincipal h1{
    color: var(--negro);
    font-weight: bold;
    font-size: 48px;
    text-align: center;
}
.bvlDivLogin{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px 0px 16px 0px;
}
.bvlForm, .bvlImagen{
    width: 50%;
    margin: 0px 16px;
    box-shadow: 5px 10px 8px #888888;
}
.bvlForm{
    background-color: #F5F1E8;
    display: flex;
    align-self: stretch;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.bvlForm h2, .bvlForm input{
    margin-bottom: 16px;
}
.bvlForm h2{
    font-weight: bold;
}
.bvlForm form{
    text-align: center;
}
.titForm{
    font-size: 32px;
}
.bvlImagen{
    display: flex;
    justify-content: center;
    align-items: center;
}
.bvlImgForm{
    height: 400px;
    width: 100%;
}
/*Responsivo*/
@media only screen and (max-width: 1300px){
    /* Login */
    .bvlDivPrincipal{
        width: auto;
    }
    .bvlImagen{
        display: none;
    }
}
@media only screen and (max-width: 1024px){
    /* Login */
    .bvlForm{
        padding: 12px 0;
        width: 100%;
    }
    .bvlDivPrincipal h1{
        font-size: 40px;
    }
    .titForm{
        font-size: 32px;
    }
    .bvlForm h2, .bvlForm input{
        margin-bottom: 12px;
    }
}
/*Cabecera, Pie de pagina y Cuerpo*/
#bvmBody{
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
#bvmBody header{
    z-index: 999;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
}
#bvmBody footer{
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40px;
    background-color: var(--oscuro);
}
.bvmNavbar{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--oscuro);
    height: 80px;
    padding: 0 16px;
}
.divNavLink, .divNavSpan{
    color: var(--blanco) !important;
}
.divNavLink:hover{
    color: var(--dorado) !important;
}
.bvmLogo{
    width: 160px;
    height: auto;
}

.bvmFooter{
    padding: 8px;
}
.bvmFooter p{
    color: #FFF;
    font-size: 16px;
    margin: 0px;
    text-align: center;
}
/*Cabecera H1*/
.bvmContenedor {
    background-color: var(--fondo);
    display: flex;
    flex: 1;
    padding: 96px 0 56px 0;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    /* width: 100vw; */
}

.divCabecera {
    display: flex;
    width: 100%;
    flex: 0;
    flex-direction: column;
    padding: 0 16px;
}

.divUser {
    display: flex;
    justify-content: flex-end;
}

.editarCat{
    display: flex;
    justify-content: flex-end;
    margin-top: 12px;
}

.nombreUsuario {
    margin-bottom: 0;
    text-align: right;
}

.h1Cabecera {
    color: var(--negro);
    font-weight: bold;
    font-size: 48px;
    text-align: center;
}

/*Lista de archivos*/
.archLista {
    flex: 1;
    width: 100%;
    padding: 0 16px;
}
.archLista .dataTables_wrapper .dataTables_filter input, .archLista .dataTables_wrapper .dataTables_length select{
    background-color: #FFF;
}
.archTabla {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0px 4px;
}

.archTabla th,
.archTabla td {
    padding: 8px;
    border: none;
}

.archTabla td{
    background-color: #FFF;
}

.archTabla th:first-child,
.archTabla td:first-child {
    /* width: fit-content; */
    white-space: nowrap;
}

.archTabla th:last-child,
.archTabla td:last-child {
    width: auto;
}

.archTabla a {
    text-decoration: none;
}

.catBuscador {
    width: 100%;
    margin-bottom: 16px;
    padding: 4px;
}
.archLink{
    margin: 0px 4px;
}
.archIcono {
    transition: 0.3s;
    color: var(--negro);
    font-size: 18px;
}
.archIcono:hover{
    color: var(--dorado);
}
/*Vista previa de archivo*/
.vista-previa {
    width: auto;
    height: 80px;
    margin: auto;
}
.colVistaPrevia{
    text-align: center;
}
/*Index / Carpetas*/
.carpetas {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.categoria {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 10px;
    width: calc(100% / 6 - 24px); /* Acomodar en 6 columnas */
    transition: 0.25s;
    border: 3px solid var(--oscuro);
    border-radius: 16px;
    padding: 9px;
    background-color: var(--fondo);
}
.categoria:hover{
    border: solid var(--dorado);
    background-color: var(--claro);
}
.categoria img, .imgCatActual {
    width: auto;
    height: 80px;
    max-width: 80px;
    max-height: 80px;
    object-fit: contain;
}
.categoria .nombre {
    font-weight: bold;
}
.categoria:hover .nombre, .categoria:hover .cantidad{
    color: var(--negro);
}
/* Ajustes de responsive */
@media (max-width: 1024px) {
    .categoria {
        width: calc(100% / 4 - 24px); /* Acomodar en 4 columnas para tablet */
    }
    .categoria img {
        width: auto; /* Reducir tamaño de imagen para tablet */
        height: 60px;
    }
}
@media (max-width: 480px) {
    .categoria {
        width: calc(100% / 2 - 24px); /* Acomodar en 2 columnas para móvil */
    }
    .categoria img {
        width: auto; /* Reducir tamaño de imagen para móvil */
        height: 40px;
    }
}
